Package org.eclipse.birt.core.exception

# Class CoreException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.core.exception.CoreException

All Implemented Interfaces:
  `Serializable`

public class CoreException extends BirtException
Exception thrown by birt.core classes

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String`
`PLUGIN_ID`
`protected static com.ibm.icu.util.UResourceBundle`
`rb`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`CoreException(String errCode)`
`CoreException(String errCode, Object arg0)`
`CoreException(String errCode, Object[] args)`
`CoreException(String errCode, Object[] args, Throwable cause)`
`CoreException(String errCode, Object arg0, Throwable cause)`

## Method Summary

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getLocalizedMessage, getMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### rb

protected static com.ibm.icu.util.UResourceBundle rb

### PLUGIN_ID

protected static String PLUGIN_ID

## Constructor Details

### CoreException

public CoreException(String errCode)

### CoreException

public CoreException(String errCode, Object arg0)

### CoreException

public CoreException(String errCode, Object[] args)

### CoreException

public CoreException(String errCode, Object arg0, Throwable cause)

### CoreException

public CoreException(String errCode, Object[] args, Throwable cause)